# Note that this is NOT a relocatable package
%define ver      0.16.5
%define rel      5
%define prefix   /usr

Summary: The Enlightenment window manager.
Name: enlightenment
Version: %{ver}
Release: %{rel}
License: GPL
Group: User Interface/Desktops
Source: ftp://ftp.enlightenment.org/pub/enlightenment/enlightenment-%{ver}.tar.bz2
Patch: enlightenment-0.16.5-freetype2.patch
BuildRoot: %{_tmppath}/enlightenment-%{version}-root
URL: http://www.enlightenment.org/
BuildRequires: freetype-devel >= 2.0.0
Requires: imlib >= 1.9.8
Requires: fnlib >= 0.5
Requires: freetype >= 1.1
Requires: esound >= 0.2.13
Source1: Ganymede.etheme
%description
Enlightenment is a window manager for the X Window System that
is designed to be powerful, extensible, configurable and
pretty darned good looking! It is one of the more graphically
intense window managers.

Enlightenment goes beyond managing windows by providing a useful
and appealing graphical shell from which to work. It is open
in design and instead of dictating a policy, allows the user to 
define their own policy, down to every last detail.

This package will install the Enlightenment window manager.

%prep

%setup
%patch -p1
cp -f %{SOURCE1} src/themes


%build
autoconf
%configure --enable-fsstd --enable-upgrade=no
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall escriptsdatadir=$RPM_BUILD_ROOT/%{_bindir}



%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root)

%{_datadir}/enlightenment/*
%{_bindir}/*
%{_mandir}/man1/*

%doc AUTHORS COPYING INSTALL README FAQ

%changelog
* Mon Sep 23 2002 Peter Hanecak <hanecak@megaloman.sk> 0.16.5-5
- rebuild for Doors 4.0

* Mon Sep 23 2002 Peter Hanecak <hanecak@megaloman.sk> 0.16.5-4
- build against freetype2

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- s/Copyright/License

* Tue Oct  3 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.16.5

* Sat Sep  2 2000 Peter Hanecak <hanecak@megaloman.sk>
- merged with RedHat's enlightenment-0.16.4-5 spec
- use %%{_bindir} and %%{_datadir}

* Thu Jul 20 2000 Jonathan Blandford <jrb@redhat.com>
- Removed backup file from Ganymede theme

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- fixed install section to use RPM_BUILD_ROOT for escriptsdatadir
- use %%{_mandir}

* Thu Jun 29 2000 Dave Mason <dcm@redhat.com>
- cleaned up spec file to rpm guidelines

* Wed Jun 14 2000 Matt Wilson <msw@redhat.com>
- dont use #pragma 2 on alpha with gcc >= 2.96 (patch0)
- FHS directory layout

* Fri Mar 17 2000 Peter Hanecak <hanecak@megaloman.sk>
- rebuild against freetype 1.3.1

* Wed Nov 24 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.16.3

* Sat Nov 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too
- FAQ removed from spec (while it is not in source archiv)
- source archive changed to .bz2
- changed URL
